Index: tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/handlers/ComputeWordCloud.java
===================================================================
--- tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/handlers/ComputeWordCloud.java	(revision 736)
+++ tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/handlers/ComputeWordCloud.java	(revision 737)
@@ -34,7 +34,6 @@
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.commands.OpenBrowser;
 import org.txm.rcp.handlers.BaseAbstractHandler;
-import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.query.Query;
@@ -42,7 +41,7 @@
 import org.txm.wordcloud.core.messages.WordCloudCoreMessages;
 
 /**
- * Computes and opens a WordCloudEditor.
+ * Computes and opens a WordCloud editor.
  * 
  * @author mdecorde
  * @author sjacquot
@@ -50,12 +49,6 @@
 public class ComputeWordCloud extends BaseAbstractHandler {
 	
 
-	// adds a double click listener to the Corpus View
-	static	{
-		CorporaView.addDoubleClickListener(WordCloud.class, ComputeWordCloud.class);
-	}
-	
-	
 	@Override
 	public Object execute(final ExecutionEvent event) throws ExecutionException {
 
Index: tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/handlers/ComputePartitionDimensionsBarChart.java
===================================================================
--- tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/handlers/ComputePartitionDimensionsBarChart.java	(revision 736)
+++ tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/handlers/ComputePartitionDimensionsBarChart.java	(revision 737)
@@ -46,10 +46,10 @@
 public class ComputePartitionDimensionsBarChart extends BaseAbstractHandler {
 
 
-	// adds a double click listener to the Corpus View
-	static	{
-		CorporaView.addDoubleClickListener(PartitionDimensions.class, ComputePartitionDimensionsBarChart.class);
-	}
+	// FIXME: adds a double click listener to the Corpus View
+//	static	{
+//		CorporaView.addDoubleClickListener(PartitionDimensions.class, ComputePartitionDimensionsBarChart.class);
+//	}
 	
 	
 	
Index: tmp/org.txm.ahc.rcp/src/org/txm/ahc/rcp/handlers/ComputeAHC.java
===================================================================
--- tmp/org.txm.ahc.rcp/src/org/txm/ahc/rcp/handlers/ComputeAHC.java	(revision 736)
+++ tmp/org.txm.ahc.rcp/src/org/txm/ahc/rcp/handlers/ComputeAHC.java	(revision 737)
@@ -67,9 +67,9 @@
 
 
 	// adds a double click listener to the Corpus View
-	static	{
-		CorporaView.addDoubleClickListener(AHC.class, ComputeAHC.class);
-	}
+//	static	{
+//		CorporaView.addDoubleClickListener(AHC.class, ComputeAHC.class);
+//	}
 	
 
 	/* (non-Javadoc)
Index: tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/ComputeInternalView.java
===================================================================
--- tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/ComputeInternalView.java	(revision 736)
+++ tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/ComputeInternalView.java	(revision 737)
@@ -7,17 +7,18 @@
 import org.txm.internalview.rcp.messages.InternalViewUIMessages;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.handlers.BaseAbstractHandler;
-import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.corpus.Corpus;
 
+/**
+ * Computes an internal view and opens an editor.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
 public class ComputeInternalView extends BaseAbstractHandler {
 
-	// adds a double click listener to the Corpus View
-	static	{
-		CorporaView.addDoubleClickListener(InternalView.class, ComputeInternalView.class);
-	}
 
-
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeIndex.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeIndex.java	(revision 736)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeIndex.java	(revision 737)
@@ -27,15 +27,12 @@
 //
 package org.txm.index.rcp.handlers;
 
-import java.util.Map.Entry;
-
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
 import org.txm.index.core.functions.Index;
 import org.txm.index.rcp.editors.IndexEditor;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.handlers.BaseAbstractHandler;
-import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Partition;
 
@@ -48,12 +45,6 @@
 public class ComputeIndex extends BaseAbstractHandler {
 
 	
-	
-	// adds a double click listener to the Corpus View
-	static	{
-		CorporaView.addDoubleClickListener(Index.class, ComputeIndex.class);
-	}
-	
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeLexicon.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeLexicon.java	(revision 736)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeLexicon.java	(revision 737)
@@ -9,7 +9,6 @@
 import org.txm.index.rcp.editors.DictionnaryEditor;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.handlers.BaseAbstractHandler;
-import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.query.Query;
@@ -22,13 +21,6 @@
  */
 public class ComputeLexicon extends BaseAbstractHandler {
 	
-	// FIXME: adds a double click listener to the Corpus View
-	static	{
-		CorporaView.addDoubleClickListener(Index.class, ComputeIndex.class);
-	}
-	
-	
-	
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 
@@ -53,10 +45,10 @@
 				e.printStackTrace();
 			}
 		}
-		// Reopening an existing Lexicon
-		else if(selection instanceof Index) { 
-			index = (Index) selection;
-		}
+//		// Reopening an existing Lexicon
+//		else if(selection instanceof Index) { 
+//			index = (Index) selection;
+//		}
 		else {
 			super.logCanNotCompute(selection);
 		}
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java	(revision 736)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java	(revision 737)
@@ -29,13 +29,11 @@
 
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
-import org.eclipse.core.runtime.preferences.InstanceScope;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.progression.core.functions.Progression;
 import org.txm.progression.core.messages.ProgressionCoreMessages;
 import org.txm.rcp.handlers.BaseAbstractHandler;
-import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.utils.logger.Log;
 
@@ -50,9 +48,9 @@
 	
 	// FIXME: should be put in an Activator? or better in an extension point loaded by the corpora view? or in a method called here as initTreeDoubleClickListener(Class resultDataType, String commandId)?
 	// adds a double click listener to the Corpus View
-	static	{
-		CorporaView.addDoubleClickListener(Progression.class, ComputeProgression.class);
-	}
+//	static	{
+//		CorporaView.addDoubleClickListener(Progression.class, ComputeProgression.class);
+//	}
 	
 	
 	
@@ -84,11 +82,6 @@
 				return null;
 			}
 			progression = new Progression(corpus);
-		
-			// FIXME: persistence tests from a file named "201805123_433f0b69-1083-4ed6-be1c-bcd48c73aeae"
-//			progression = new Progression("201805123_433f0b69-1083-4ed6-be1c-bcd48c73aeae", corpus);
-
-			
 		}
 		// Reopening an existing result
 		else if (selection instanceof Progression)	{
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 736)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 737)
@@ -52,7 +52,7 @@
 	/** The corpus. */
 	private Corpus corpus;
 
-	/** The graphtype. */
+	/** The chart type. */
 	private boolean cumulative = true;
 
 	/** The linewidth. */
@@ -168,7 +168,6 @@
 
 		try {
 
-			cumulative = this.getBooleanParameterValue(ProgressionPreferences.CHART_CUMULATIVE);
 
 			// System.out.println(parent.getLayout());
 			Composite mainPanel = this.getCommandParametersGroup();
@@ -192,7 +191,6 @@
 
 			cumulativeButton = new Button(paramPanel, SWT.RADIO);
 			cumulativeButton.setText(ProgressionUIMessages.ProgressionDialog_2);
-			cumulativeButton.setSelection(cumulative);
 			// listeners
 			cumulativeButton.addSelectionListener(new ComputeSelectionListener(this));
 			cumulativeButton.addSelectionListener(new SelectionListener() {
@@ -208,7 +206,6 @@
 
 			densityButton = new Button(paramPanel, SWT.RADIO);
 			densityButton.setText(ProgressionUIMessages.ProgressionDialog_3);
-			densityButton.setSelection(!cumulative);
 			// listener
 			densityButton.addSelectionListener(new SelectionListener() {
 
@@ -420,7 +417,7 @@
 	 * @return the added QueryField
 	 */
 	private QueryField addFocusQueryField() {
-		return this.addFocusQueryField("");
+		return this.addFocusQueryField(""); //$NON-NLS-1$
 	}
 
 
@@ -436,6 +433,12 @@
 				addFocusQueryField(q.getQueryString()); 
 			}
 		}
+		
+		cumulative = this.getResult().isDefaultChartType();
+		cumulativeButton.setSelection(cumulative);
+		densityButton.setSelection(!cumulative);
+
+		
 	}
 
 
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionEventCallBack.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionEventCallBack.java	(revision 736)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionEventCallBack.java	(revision 737)
@@ -7,9 +7,13 @@
 import java.util.ArrayList;
 import java.util.List;
 
+import org.eclipse.core.runtime.jobs.IJobChangeEvent;
+import org.eclipse.core.runtime.jobs.Job;
+import org.eclipse.core.runtime.jobs.JobChangeAdapter;
 import org.eclipse.e4.ui.workbench.modeling.EModelService;
 import org.eclipse.jface.viewers.StructuredSelection;
 import org.eclipse.jface.viewers.TableViewer;
+import org.eclipse.swt.widgets.Display;
 import org.eclipse.ui.IWorkbenchPage;
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.PartInitException;
@@ -33,6 +37,7 @@
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
 import org.txm.searchengine.cqp.corpus.query.Match;
+import org.txm.searchengine.cqp.corpus.query.Query;
 import org.txm.synopticedition.rcp.editors.RGBA;
 import org.txm.synopticedition.rcp.editors.SynopticEditionEditor;
 import org.txm.synopticedition.rcp.handlers.OpenEdition;
@@ -50,7 +55,7 @@
 	 * To keep track of the concordance lines and recomputing only if the selected item is out of this range.
 	 */
 	protected int lastConcordanceTopLine = -1;
-	protected int lastConcordanceBottomLine = -1;
+	//protected int lastConcordanceBottomLine = -1;
 	
 	/**
 	 * To keep track of the concordance lines sort and recomputing only if the sorting order has changed.
@@ -252,7 +257,7 @@
 	 * @param linkedEditors
 	 * @param selectedPointPositions
 	 */
-	public void updateLinkedConcordanceEditor(ArrayList<EditorPart> linkedEditors, ArrayList<Integer> selectedPointPositions)	{
+	public void updateLinkedConcordanceEditor(ArrayList<EditorPart> linkedEditors, final ArrayList<Integer> selectedPointPositions)	{
 
 		// FIXME: Debug
 		//System.err.println("ProgressionEventCallBack.updateLinkedConcordanceEditor(): linked editors count: " + linkedEditors.size());
@@ -292,27 +297,29 @@
 		
 		
 		
-		TXMResultEditorInput editorInput;
+		final TXMResultEditorInput editorInput;
 		boolean newEditor = false;
 		// Create the linked editor input if needed
 		if (linkedEditor == null) {
 			Concordance concordance = new Concordance(((Progression) chartEditor.getResult()).getCorpus());
+			concordance.setQuery(query);
 			editorInput = new TXMResultEditorInput(concordance);
 			newEditor = true;
-		} else {
+		}
+		else {
 			editorInput = (TXMResultEditorInput) linkedEditor.getEditorInput();
 		}
 
 		try {
-			boolean wasOpenEditor = SWTEditorsUtils.isOpenEditor(editorInput);
+			boolean wasOpenedEditor = SWTEditorsUtils.isOpenEditor(editorInput, ConcordanceEditor.ID);
 			
-			linkedEditor = (ConcordanceEditor) page.openEditor(editorInput, ConcordanceEditor.ID, false); //$NON-NLS-1$
+			linkedEditor = (ConcordanceEditor) page.openEditor(editorInput, ConcordanceEditor.ID, false);
 			if(newEditor)	{
 				chartEditor.addLinkedEditor(linkedEditor);
 			}
 			
 			// Split the area and insert the new editor
-			if(!wasOpenEditor)	{
+			if(!wasOpenedEditor)	{
 				
 				int position = EModelService.BELOW;
 				EditorPart parentEditor = chartEditor;
@@ -333,18 +340,38 @@
 			System.err.println("Error: "+e.getLocalizedMessage());
 		}
 
-		linkedEditor.setQuery(query);
-		// Compute the concordance if the query has changed or if the concordance has never been computed
-		if(linkedEditor.getConcordance() == null || newEditor)	{
-			linkedEditor.compute(false);
-			// initialize range change tracking variables
-			this.lastConcordanceTopLine = 0;
-			this.lastConcordanceBottomLine = linkedEditor.getLinePerPage();
-			this.lastSortingComparator = linkedEditor.getCurrentComparator();
+		// Compute the concordance if it has never been computed
+		if(newEditor)	{
+			Job job = linkedEditor.compute(false);
+
+			final ConcordanceEditor linkedEditor2 = linkedEditor;
+			
+			job.addJobChangeListener(new JobChangeAdapter() 	{
+				@Override
+				public void done(IJobChangeEvent event) {
+					super.done(event);
+					
+					// initialize range change tracking variables
+					lastConcordanceTopLine = -1;
+					//lastConcordanceBottomLine = linkedEditor.getLinePerPage();
+					lastSortingComparator = linkedEditor2.getCurrentComparator();
+
+					updateLinkedConcordanceEditor(linkedEditor2, selectedPointPositions, true);
+					
+				}
+			});
+			
 		}
+		else	{
+			updateLinkedConcordanceEditor(linkedEditor, selectedPointPositions, false);
+		}
+		
+		// give back the focus to chart editor
+		chartEditor.setFocus();
+	}
 
-
 	
+	public void updateLinkedConcordanceEditor(final ConcordanceEditor linkedEditor, final ArrayList<Integer> selectedPointPositions, boolean loadLines)	{
 		
 		final TableViewer tableViewer = linkedEditor.getLineTableViewer();
 		if(selectedPointPositions.size() > 0)	{
@@ -353,37 +380,35 @@
 			int lineIndex = linkedEditor.getConcordance().indexOf(selectedPointPositions.get(selectedPointPositions.size() - 1));
 			
 			int top = lineIndex - (lineIndex % linkedEditor.getLinePerPage());
-			int bottom = top + linkedEditor.getLinePerPage() - 1;
 			
+			linkedEditor.getConcordance().setTopIndex(top);
 			
-			// Manage the lazy loading of new lines range in the concordance
-			boolean loadLines = false;
-			// not open editor (or new editor)
-			if(!SWTEditorsUtils.isOpenEditor(editorInput))	{
-				loadLines = true;
-			}
+			// Manage the lazy loading of new lines range in the concordance table
 			// page change
-			else if(this.lastConcordanceTopLine != top || this.lastConcordanceBottomLine != bottom)	{
+			if(lastConcordanceTopLine != top)	{
 				loadLines = true;
 			}
 			// sort change
-			else if(this.lastSortingComparator != linkedEditor.getCurrentComparator())	{
+			else if(lastSortingComparator != linkedEditor.getCurrentComparator())	{
 				loadLines = true;
 			}
+
 			
-			
 			// Loads new lines, fill the display area and select the table row
 			if(loadLines)	{
-				//FIXME: old code that workd but Matt has removed this method from the ConcordanceEditor, see if it still work
-				//linkedEditor.fillDisplayArea(top, bottom);
-				linkedEditor.fillDisplayArea();
+				Display.getDefault().syncExec(new Runnable() {
+					@Override
+					public void run() {
+						linkedEditor.fillDisplayArea();						
+					}
+				});
+
 			}
 
 			// update range change tracking variables
-			this.lastConcordanceTopLine = top;
-			this.lastConcordanceBottomLine = bottom;
-			this.lastSortingComparator = linkedEditor.getCurrentComparator();
-
+			lastConcordanceTopLine = top;
+			//lastConcordanceBottomLine = bottom;
+			lastSortingComparator = linkedEditor.getCurrentComparator();
 			
 			
 			final int selectedPointInTableRange = lineIndex - top;						
@@ -398,9 +423,10 @@
 						tableViewer.setSelection(new StructuredSelection(line), true);
 						// FIXME: commented because the set top index makes the read of the table difficult
 						//tableViewer.getTable().setTopIndex(selectedPointInTableRange);
+						System.out.println("ProgressionEventCallBack.updateLinkedConcordanceEditor(...).new Runnable() {...}.run(): Selecting progression point (" + selectedPointInTableRange + " / " + tableViewer.getTable().getItemCount() + ") in the linked Concordance table.");
 					}
 					else	{
-						Log.info("Selected progression point doesn't exist in the linked Concordance.");
+						System.err.println("ProgressionEventCallBack.updateLinkedConcordanceEditor(...).new Runnable() {...}.run(): Selected progression point (" + selectedPointInTableRange + " / " + tableViewer.getTable().getItemCount() + ") doesn't exist in the linked Concordance table.");
 					}
 				}
 			});
@@ -408,11 +434,8 @@
 		else	{
 			tableViewer.getTable().deselectAll();
 		}
-		
-		// give back the focus to chart editor
-		chartEditor.setFocus();
 	}
-
+	
 	//FIXME: version with new SynopticEditionEditor system edition
 	/**
 	 * Updates the linked edition editor.
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java	(revision 736)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java	(revision 737)
@@ -68,8 +68,8 @@
 	 * @param UUID
 	 * @param partition
 	 */
-	public PartitionDimensions(String UUID, Partition partition) {
-		super(UUID, partition);
+	public PartitionDimensions(String UUID) {
+		super(UUID);
 	}
 	
 
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 736)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 737)
@@ -10,6 +10,7 @@
 import org.txm.chartsengine.core.ChartCreator;
 import org.txm.chartsengine.core.ChartsEngine;
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
+import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMResult;
@@ -99,16 +100,26 @@
 
 	
 	/**
-	 * 
+	 * Creates a new ChartResult child of the specified parent.
 	 * @param parent
 	 */
 	public ChartResult(TXMResult parent) {
 		this(null, parent);
 	}
 	
+	
 	/**
-	 * 
+	 * Creates a new ChartResult with no parent.
+	 * If a local node exist with the parent_uuid, the parent will be retrieved and this result will be added to it. 
 	 * @param uuid
+	 */
+	public ChartResult(String uuid) {
+		this(uuid, null);
+	}
+	
+	/**
+	 * Creates a new ChartResult child of the specified parent.
+	 * @param uuid
 	 * @param parent
 	 */
 	public ChartResult(String uuid, TXMResult parent) {
@@ -221,6 +232,14 @@
 			
 			this.chartDirty = false;
 			
+			
+//			if (TBXPreferences.getBoolean(TBXPreferences.AUTO_SAVE_RESULTS, TBXPreferences.PREFERENCES_NODE)) {
+//				System.err.println("ChartResult.renderChart(): flushing local preferences node in file for persistence tests.");
+//				TXMPreferences.flush(this);
+//			}
+
+			
+			
 			// FIXME: debug
 			System.err.println("ChartResult.renderChart(): chart rendering done.");
 
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java	(revision 736)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java	(revision 737)
@@ -41,23 +41,17 @@
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.handlers.BaseAbstractHandler;
-import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.CQPEngine;
 import org.txm.searchengine.cqp.corpus.Corpus;
 
 /**
- * Opens the concordance editor.
+ * Opens a Concordance editor.
  * 
  * @author mdecorde
  * @author sjacquot
  */
 public class ComputeConcordance extends BaseAbstractHandler {
 
-	// adds a double click listener to the Corpus View
-	static	{
-		CorporaView.addDoubleClickListener(Concordance.class, ComputeConcordance.class);
-	}
-
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 736)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 737)
@@ -448,7 +448,9 @@
 				sash.getParent().layout();
 			}
 		});
-		viewer = new TableViewer(displayArea, SWT.MULTI | SWT.FULL_SELECTION | SWT.BORDER | SWT.VIRTUAL);
+		viewer = new TableViewer(displayArea, SWT.MULTI | SWT.FULL_SELECTION | SWT.BORDER
+//				| SWT.VIRTUAL
+				);
 		viewer.getTable().addKeyListener(new TableKeyListener(viewer));
 		//viewer.setLabelProvider(new LineLabelProvider(this));
 		viewer.setContentProvider(new ConcordancesProvider());
@@ -804,8 +806,9 @@
 	 * @param to the to
 	 */
 	public void fillDisplayArea() {
-		if (viewer == null)
+		if (viewer == null) {
 			return;
+		}
 
 		int from = concordance.getTopIndex();
 		from = Math.max(from, 0);
@@ -824,8 +827,10 @@
 				System.err.println(ConcordanceUIMessages.ERROR_WHILE_LOADING_CONCORDANCE_LINE+ e);
 				org.txm.rcp.utils.Logger.printStackTrace(e);
 			}
-		} else
+		}
+		else {
 			lines = new ArrayList<Line>();
+		}
 
 		viewer.setInput(lines);
 		viewer2.setInput(lines);
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPEngine.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPEngine.java	(revision 736)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPEngine.java	(revision 737)
@@ -2,8 +2,12 @@
 
 import java.io.File;
 import java.io.IOException;
+import java.lang.reflect.Constructor;
+import java.util.ArrayList;
 
 import org.eclipse.core.runtime.IProgressMonitor;
+import org.eclipse.core.runtime.Platform;
+import org.osgi.framework.Bundle;
 import org.txm.EngineType;
 import org.txm.Toolbox;
 import org.txm.core.messages.TXMCoreMessages;
@@ -13,7 +17,6 @@
 import org.txm.libs.cqp.CQPLibPreferences;
 import org.txm.objects.Base;
 import org.txm.searchengine.core.SearchEngine;
-import org.txm.searchengine.core.SearchEngines;
 import org.txm.searchengine.cqp.clientExceptions.ServerNotFoundException;
 import org.txm.searchengine.cqp.corpus.CorpusManager;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
@@ -200,6 +203,7 @@
 				System.out.println("Failed to load CQP corpora of "+b.getName()+" corpus.");
 			}
 		}
+		
 		System.out.println(TXMCoreMessages.common_done);
 
 		return state;
